version: '3.3'

services:

  freepbx:
    build: .
    image: build-freepbx:latest
    ports:
      - 8080:80
      - 5060:5060/udp
      - 5160:5160/udp
      - 3306:3306
      - 18000-18100:18000-18100/udp
    privileged: true
    restart: always
    environment:
      - MARIADB_REMOTE_ROOT_PASSWORD=admin123
      - ADMIN_PASSWORD=admin123
      - DISABLE_SIGNATURE_CHECK=true
      - USE_CHAN_SIP=true
      - FAIL2BAN_ENABLE=true
      - FAIL2BAN_FINDTIME=30
      - FAIL2BAN_MAXRETRY=10
      - FAIL2BAN_BANTIME=10
    volumes:
      - backup:/backup
      - recordings:/var/spool/asterisk/monitor
      - certificates:/etc/asterisk/keys
  
  adminer:
    image: adminer:4.8.0
    restart: always
    ports:
      - "9292:8080"

volumes:
  backup:
  recordings:
  certificates:
